Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
OsiObject2 Class Reference

Define a class to add a bit of complexity to OsiObject This assumes 2 way branching. More...

`#include <OsiBranchingObject.hpp>`

Inheritance diagram for OsiObject2:
[legend]
Collaboration diagram for OsiObject2:
[legend]

## Public Member Functions
| OsiObject2 ()
| Default Constructor. More...
| OsiObject2 (const OsiObject2 &)
| Copy constructor. More...
OsiObject2 & | operator= (const OsiObject2 &rhs)
| Assignment operator. More...
virtual | ~OsiObject2 ()
| Destructor. More...
void | setPreferredWay (int value)
| Set preferred way of branching - -1 off, 0 down, 1 up (for 2-way) More...
virtual int | preferredWay () const
| Get preferred way of branching - -1 off, 0 down, 1 up (for 2-way) More...
Public Member Functions inherited from OsiObject
| OsiObject ()
| Default Constructor. More...
| OsiObject (const OsiObject &)
| Copy constructor. More...
OsiObject & | operator= (const OsiObject &rhs)
| Assignment operator. More...
virtual OsiObject * | clone () const =0
| Clone. More...
virtual | ~OsiObject ()
| Destructor. More...
double | infeasibility (const OsiSolverInterface *solver, int &whichWay) const
| Infeasibility of the object. More...
virtual double | infeasibility (const OsiBranchingInformation *info, int &whichWay) const =0
virtual double | checkInfeasibility (const OsiBranchingInformation *info) const
virtual double | feasibleRegion (OsiSolverInterface *solver) const
| For the variable(s) referenced by the object, look at the current solution and set bounds to match the solution. More...
virtual double | feasibleRegion (OsiSolverInterface *solver, const OsiBranchingInformation *info) const =0
| For the variable(s) referenced by the object, look at the current solution and set bounds to match the solution. More...
virtual OsiBranchingObject * | createBranch (OsiSolverInterface *, const OsiBranchingInformation *, int) const
| Create a branching object and indicate which way to branch first. More...
virtual bool | canDoHeuristics () const
| Return true if object can take part in normal heuristics. More...
virtual bool | canMoveToNearest () const
| Return true if object can take part in move to nearest heuristic. More...
virtual int | columnNumber () const
| Column number if single column object -1 otherwise, Used by heuristics. More...
int | priority () const
| Return Priority - note 1 is highest priority. More...
void | setPriority (int priority)
| Set priority. More...
virtual bool | boundBranch () const
| Return true if branch should only bound variables. More...
virtual bool | canHandleShadowPrices () const
| Return true if knows how to deal with Pseudo Shadow Prices. More...
int | numberWays () const
| Return maximum number of ways branch may have. More...
void | setNumberWays (int numberWays)
| Set maximum number of ways branch may have. More...
void | setWhichWay (int way)
| Return preferred way to branch. More...
int | whichWay () const
| Return current preferred way to branch. More...
double | infeasibility () const
| Return infeasibility. More...
virtual double | upEstimate () const
| Return "up" estimate (default 1.0e-5) More...
virtual double | downEstimate () const
| Return "down" estimate (default 1.0e-5) More...
virtual void | resetBounds (const OsiSolverInterface *)
| Reset variable bounds to their original values. More...
virtual void | resetSequenceEtc (int, const int *)
| Change column numbers after preprocessing. More...
virtual void | updateBefore (const OsiObject *)
| Updates stuff like pseudocosts before threads. More...
virtual void | updateAfter (const OsiObject *, const OsiObject *)
| Updates stuff like pseudocosts after threads finished. More...

## Protected Attributes
int | preferredWay_
| Preferred way of branching - -1 off, 0 down, 1 up (for 2-way) More...
double | otherInfeasibility_
| "Infeasibility" on other way More...
Protected Attributes inherited from OsiObject
double | infeasibility_
| data More...
short | whichWay_
| Computed preferred way to branch. More...
short | numberWays_
| Maximum number of ways on branch. More...
int | priority_
| Priority. More...

## Detailed Description

Define a class to add a bit of complexity to OsiObject This assumes 2 way branching.

Definition at line 206 of file OsiBranchingObject.hpp.

## Constructor & Destructor Documentation

OsiObject2::OsiObject2 | ( |  | ) |

Default Constructor.

OsiObject2::OsiObject2 | ( | const OsiObject2 & |  | ) |

Copy constructor.

virtual OsiObject2::~OsiObject2 | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

OsiObject2& OsiObject2::operator= | ( | const OsiObject2 & | rhs | ) |

Assignment operator.

void OsiObject2::setPreferredWay | ( | int | value | ) |
| inline

Set preferred way of branching - -1 off, 0 down, 1 up (for 2-way)

Definition at line 223 of file OsiBranchingObject.hpp.

virtual int OsiObject2::preferredWay | ( |  | ) | const
| inline virtual

Get preferred way of branching - -1 off, 0 down, 1 up (for 2-way)

Reimplemented from OsiObject.

Definition at line 227 of file OsiBranchingObject.hpp.

## Member Data Documentation

int OsiObject2::preferredWay_
| protected

Preferred way of branching - -1 off, 0 down, 1 up (for 2-way)

Definition at line 231 of file OsiBranchingObject.hpp.

double OsiObject2::otherInfeasibility_
| mutable protected

"Infeasibility" on other way

Definition at line 233 of file OsiBranchingObject.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Osi/src/Osi/OsiBranchingObject.hpp